GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
hpack_parser.h File Reference
`#include <stddef.h>`
`#include <grpc/support/port_platform.h>`
`#include "src/core/transport/chttp2/frame.h"`
`#include "src/core/transport/chttp2/hpack_table.h"`
`#include "src/core/transport/metadata.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_hpack_parser_string
struct | grpc_chttp2_hpack_parser

## Typedefs
typedef struct grpc_chttp2_hpack_parser | grpc_chttp2_hpack_parser
typedef int(* | grpc_chttp2_hpack_parser_state )(grpc_chttp2_hpack_parser *p, const gpr_uint8 *beg, const gpr_uint8 *end)

## Functions
void | grpc_chttp2_hpack_parser_init (grpc_chttp2_hpack_parser *p, grpc_mdctx *mdctx)
void | grpc_chttp2_hpack_parser_destroy (grpc_chttp2_hpack_parser *p)
void | grpc_chttp2_hpack_parser_set_has_priority (grpc_chttp2_hpack_parser *p)
int | grpc_chttp2_hpack_parser_parse (grpc_chttp2_hpack_parser *p, const gpr_uint8 *beg, const gpr_uint8 *end)
grpc_chttp2_parse_error | grpc_chttp2_header_parser_parse (void *hpack_parser, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)

## Typedef Documentation

typedef struct grpc_chttp2_hpack_parser grpc_chttp2_hpack_parser

typedef int(* grpc_chttp2_hpack_parser_state)(grpc_chttp2_hpack_parser *p, const gpr_uint8 *beg, const gpr_uint8 *end)

## Function Documentation

grpc_chttp2_parse_error grpc_chttp2_header_parser_parse | ( | void * | hpack_parser,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |

void grpc_chttp2_hpack_parser_destroy | ( | grpc_chttp2_hpack_parser * | p | ) |

void grpc_chttp2_hpack_parser_init | ( | grpc_chttp2_hpack_parser * | p,
|  | grpc_mdctx * | mdctx
| ) |  |

int grpc_chttp2_hpack_parser_parse | ( | grpc_chttp2_hpack_parser * | p,
|  | const gpr_uint8 * | beg,
|  | const gpr_uint8 * | end
| ) |  |

void grpc_chttp2_hpack_parser_set_has_priority | ( | grpc_chttp2_hpack_parser * | p | ) |